using System.Collections.Generic;
using System.Linq;
using Sirenix.OdinInspector;
using VOID.Generic.Objects.Wearable;

namespace VOID.Generic.Objects.Accessory
{
    public class AccessoryObject : WearableObject
    {
        [Title("=== AccessoryObject properties ===")]
        public AccessoryObjectData accessoryData;

        protected override List<ObjectComponent> GetObjectComponents()
        {
            return base.GetObjectComponents()
                .Union(new[]
                {
                    accessoryData
                })
                .ToList();
        }
    }
}
